/* disk related functions */

#ifndef __DISK_H
#define __DISK_H

/* cylinder/head/sector address */
typedef struct _chs_ {
  int c, h, s;
} chs_t;

/* partition descriptor */
typedef struct _pentry_ {
  unsigned char boot;
  chs_t begin;
  unsigned char type;
  chs_t end;
  int sector_start;
  int sector_length;
} pentry_t;

/* extract the partition table from the bootsector */
int read_ptable(unsigned char bootsector[], pentry_t ptable[4]);

/* print a partition entry */
void print_pentry(pentry_t *pentry);

#endif
