/* Embedded OS Loader
 *
 *   Copyright 2005 Vivien Chappelier <vivien.chappelier@free.fr>
 *
 * pin muxing configuration
 *
 */
#include "stdlib.h"
#include "mux.h"
#include "gpio.h"

/* configure pin muxing */
void pin_init()
{
	/* enable USB */
	do {
		gpio_dir(GPIO_USB_ENABLE, 0); /* out */
		gpio_out(GPIO_USB_ENABLE, 0); /* low */
	} while(gpio_in(GPIO_USB_ENABLE));

	gpio_out(73, 0);
	gpio_dir(GPIO_DM, 1); /* in */

	/* get uart control from GSM */
	ioconf_set(3, 0x000000cc);
	gpio_dir(GPIO_DP, 1); /* in */
	ioconf_set(2, 0x00100000); /* AA17_730_USB_DM, no pull up */
	udelay(100000);
	ioconf_set(2, 0x01000000); /* W16_730_USB_PU_EN, no pull up */
	iomode_set(25);

	/* OTG muxing */
	iomode_clear(2);
	iomode_clear(3);
	iomode_set(15);
	iomode_set(23);
	iomode_set(26);
	iomode_set(25);
	iomode_clear(24);
	iomode_clear(10);
	iomode_clear(11);
}

